<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage KYBULLY
 * @since KYBULLY 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
		<div class="widget-seperator"></div>
		<h2 class="comments-title">
			<?php
				printf( _nx( 'One thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'comments title', 'kybully' ),
					number_format_i18n( get_comments_number() ), get_the_title() );
			?>
		</h2>

		<?php //kybully_comment_nav(); ?>

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'       => 'ol',
					'short_ping'  => true,
					'avatar_size' => 74,
				) );
			?>
		</ol><!-- .comment-list -->

		<?php //kybully_comment_nav(); ?>
		
		<?php
		// Are there comments to navigate through?
		if (get_comment_pages_count () > 1 && get_option ( 'page_comments' )) :
			?>
		<nav class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text section-heading"><?php _e( 'Comment navigation', 'kybully' ); ?></h1>
		<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'kybully' ) ); ?></div>
		<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'kybully' ) ); ?></div>
		</nav>
		<!-- .comment-navigation -->
		<?php endif; // Check for comment navigation ?>
		

	<?php endif; // have_comments() ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'kybully' ); ?></p>
	<?php endif; ?>
	
	<div class="widget-seperator"></div>
	
	<div class="col-md-11 comment-form-blog ">
	<?php comment_form(); ?>
	</div>

</div><!-- .comments-area -->
