<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage KYBULLY
 * @since KYBULLY 1.0
 */
global $kybully_vars;

?>

<div class="itemView">
	<div id="itemListLeading">
		<div class="itemContainer itemContainerLast">
			<div class="catItemView groupLeading">
				<!-- Left part -->
				<div class="cat_left">
					<i class="fa fa-picture-o fa-2x"></i>
					
					<?php if(isset($kybully_vars['date']) && $kybully_vars['date']==1){?>
					<div class="catItemDateCreated"> 
						<?php echo get_the_date('d'); ?> <br> <span><?php echo get_the_date('F'); ?></span>
					</div>
					<?php }?>
				</div>
				<div class="cat_main">
					<div class="catItemBody">
                    	<?php if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : ?>
                        	<?php if(isset($kybully_vars['featured_img']) && $kybully_vars['featured_img']==1){?>           
                            	<div class="catItemImageBlock">
									<span class="catItemImage">
                            			<?php the_post_thumbnail(); ?>
                            		</span>
								</div>
                              <?php }?>          
                            <?php endif; ?>
						<div class="clr"></div>
						<?php if ( is_single() ) : ?>
							<div class="catItemHeader">
								<h3 class="catItemTitle"><?php the_title(); ?></h3>
							</div>
						<?php else : ?>
							<h3 class="catItemTitle">
								<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
							</h3>
						<?php endif; // is_single() ?>
						<div class="catItemOption">
							<?php if(isset($kybully_vars['author']) && $kybully_vars['author']==1){?> 			
							<div class="catItemDateCreated">
								<i class="fa fa-user"> </i>
                               	<?php the_author_posts_link(); ?>
                            </div>
							<?php }?>   
							
							<?php if(isset($kybully_vars['tags']) && $kybully_vars['tags']==1 && has_tag()){?> 	
							<div class="catItemTagsBlock">
								<i class="fa fa-tags"></i>
                                 <?php the_tags(); ?>
                                 <div class="clr"></div>
							</div>
							<?php }?>   
						</div>
						
                        <?php if ( is_search() ) : // Only display Excerpts for Search ?>
                        <div class="entry-summary">
                            <?php the_excerpt(); ?>
                        </div>
						<!-- .entry-summary -->
                        <?php else : ?>
                        <div class="catItemIntroText">
							<?php
							/* translators: %s: Name of current post */
							the_content ( sprintf ( __ ( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'kybully' ), the_title ( '<span class="screen-reader-text">', '</span>', false ) ) );
																																									
								wp_link_pages ( array (
									'before' => '<div class="page-links"><span class="page-links-title">' . __ ( 'Pages:', 'kybully' ) . '</span>',
									'after' => '</div>',
									'link_before' => '<span>',
									'link_after' => '</span>' 
								) );
							?>
                        </div>
						<!-- .entry-content -->
                        <?php endif; ?>
						
                        <?php if ( comments_open() && ! is_single() ) : ?>
                        <div class="catItemCommentsLink">
							<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a comment', 'kybully' ) . '</span>', __( 'One comment so far', 'kybully' ), __( 'View all % comments', 'kybully' ) ); ?>
                        </div>
						<!-- .comments-link -->
						
						<?php if(isset($kybully_vars['read_more_btn']) && $kybully_vars['read_more_btn']==1){?> 
							<div class="catItemReadMore">
								<a href="<?php the_permalink(); ?> "> <?php _e('Read more...','kybully');?></a>
							</div>
						<?php }?>  
                        <?php endif; // comments_open() ?>
        
                                <?php if ( is_single() && get_the_author_meta( 'description' ) && is_multi_author() ) : ?>
                                <?php get_template_part( 'author-bio' ); ?>
                                <?php endif; ?>
                
                                <?php  if ( is_single()): ?>
                                     <?php comments_template(); ?>
                        

                        <?php endif;?>
                    </div>
				</div>
				<!-- end main part -->

			</div>
		</div>
	</div>
</div>

