<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage kybully
 * @since kybully 1.0
 */
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->

<?php global $kybully_vars; ?>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php kybully_meta()?>
<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {?>
	<link rel="icon" type="image/x-icon" href="<?php if(!empty($kybully_vars['site_favicon'])) : echo esc_url($kybully_vars['site_favicon']); endif;?>">
<?php }?>
<!--[if lt IE 9]>
<script src="<?php echo esc_url(get_template_directory_uri()); ?>/js/html5.js"></script>
<![endif]-->
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="<?php if ( $kybully_vars['theme_layout'] == 'box-layout' ) { ?> wrapper_boxed wrapper <?php } else {?> wrapper<?php }?>">
	
		<!-- header area start -->
			<?php 
			if(!empty($kybully_vars['header_layout'])) : 
				get_template_part( 'templates/header/'.$kybully_vars['header_layout']);
			else:
				get_template_part( 'templates/header/header-style1');
			endif;
			?>
		<!-- header area end -->
		<?php if(is_page_template('home-page.php')):?>
		<div class="slider-area">
			<div class="slider_revelotion" id="slider">
			<?php if ( is_plugin_active( 'revslider/revslider.php' ) ) {
				putRevSlider( 'kybully_slider' ); 
			} ?>
			</div>
		</div>
		<?php endif;?>
		<?php $prev_url = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';?>
		<?php if(!is_page_template('home-page.php')):?>
		<!-- breadcrumbs area start -->
		<div id="breadcrumbs" class="breadcrumbs">
			<div class="container">
				<div class="row">
					<div class="col-sm-8 col-xs-8">
						<h2 class="entry-header"><?php the_title(); ?></h2>
					</div>
					<div class="text-right col-sm-4 col-xs-4">
						<a class="in-back text-uppercase" href="<?php echo esc_url($prev_url);?>"><i class="fa fa-mail-reply"></i> <span><?php _e('in','kybully');?></span><?php _e('Home','kybully');?></a>
					</div>	
				</div>
			</div>
		</div>
		<!-- breadcrumbs area end -->
		<?php endif;?>
		