<?php
/**
*
*Template Name: Home Page
*
*/
get_header();
?>

<!-- shipping area start -->
<section class="shipping-area">
	<div class="container">
		<div class="row">
			<div class="col-sm-12 col-sm-12">
				<div class="fix shipping-main hidden-xs">
					<?php if ( class_exists( 'WooCommerce' ) ) : ?>
					<div class="float_left text-uppercase shipping-left-text">
						<?php $shop_page_url = get_permalink( woocommerce_get_page_id( 'shop' ) );?>
						<h3><?php if(!empty($kybully_vars['bully_containt_before_title'])) :echo esc_attr($kybully_vars['bully_containt_before_title']);endif;?></h3>
						<h2><?php if(!empty($kybully_vars['bully_title'])) :echo esc_attr($kybully_vars['bully_title']);endif;?></h2>
						<p><?php if(!empty($kybully_vars['bully_desc'])) :echo wp_kses_post($kybully_vars['bully_desc']);endif;?></p>
						<div class="text-right shop-more">
							<a href="<?php echo esc_url($shop_page_url);?>"><h4><?php if(!empty($kybully_vars['bully_shop_url'])) :echo esc_attr($kybully_vars['bully_shop_url']);endif;?> <i class="fa fa-chevron-right"></i></h4></a>
						</div>
					</div>
					<?php
                    $prod_categories = get_terms( 'product_cat', array('orderby' => 'name','order' => 'DESC','hide_empty' => 0 ));
					$i=1;
                    foreach( $prod_categories as $prod_cat ) :
						$thumbnail_id = get_woocommerce_term_meta( $prod_cat->term_id, 'thumbnail_id', true ); 
						$image = wp_get_attachment_url( $thumbnail_id ); 
                    ?>		
					<div class="float_left text-uppercase shipping-item">
						<a href="<?php echo esc_url(get_term_link( $prod_cat, 'product_cat' )); ?>">
							<div class="text-center icon">
								<img src="<?php echo esc_url($image); ?>" alt="Shipping image" />
							</div>
							<div class="text-center">
								<h3><?php echo esc_attr($prod_cat->name); ?></h3>
							</div>
						</a>
						<div class="category-hover"></div>
					</div>
					<?php $i++; endforeach; wp_reset_query(); ?>
					<?php endif;?>
				</div>
			<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
			<!-- shipping -Mobil -->
				<div class="fix mobil-shipping shipping-main hidden-md hidden-sm hidden-lg">
					<div class="float_left text-uppercase shipping-left-text">
						<h3><?php if(!empty($kybully_vars['bully_containt_before_title'])) :echo esc_attr($kybully_vars['bully_containt_before_title']);endif;?></h3>
						<h2><?php if(!empty($kybully_vars['bully_title'])) :echo esc_attr($kybully_vars['bully_title']);endif;?></h2>
						<p><?php if(!empty($kybully_vars['bully_desc'])) :echo wp_kses_post($kybully_vars['bully_desc']);endif;?></p>						<div class="text-right shop-more">
							<a href=""><h4><?php if(!empty($kybully_vars['bully_shop_url'])) :echo esc_attr($kybully_vars['bully_shop_url']);endif;?><i class="fa fa-chevron-right"></i></h4></a>
						</div>
					</div>
					<?php 
					$i=1;
                    foreach( $prod_categories as $prod_cat ) :
                    ?>
					<div class="float_left text-uppercase shipping-item">
						<a href="<?php echo esc_url(get_term_link( $prod_cat, 'product_cat')) ?>">
							<div class="text-center icon">
								<img src="<?php echo esc_url(get_template_directory_uri() .'/images/shipping-icon-'.$i.'.png') ?>" alt="" />
							</div>
							<div class="text-left">
								<h3><?php echo esc_attr($prod_cat->name); ?></h3>
							</div>
						</a>
						<div class="category-hover"></div>
					</div>
					<?php $i++; endforeach; wp_reset_query(); ?>		
				</div>
				<!-- shipping -Mobil end-->
				<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
			</div>	
		</div>
	</div>
</section>	

<!-- shipping area end -->
<!--  XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX  -->
<!-- main content area start -->

<section class="main-content">
	<div class="container">
		<!-- content loop start -->
		<div class="content row">
			<div class="col-md-3 col-sm-12 product-slider-home ">
				<div class="text-uppercase single-product-text">
					<h2><?php if(!empty($kybully_vars['latest_bully_title'])) :echo esc_attr($kybully_vars['latest_bully_title']);endif;?></h2>
					<p><?php if(!empty($kybully_vars['latest_bully_desc'])) :echo esc_attr($kybully_vars['latest_bully_desc']);endif;?></p>
				</div>
			</div>
			<div class="col-md-9 col-sm-12 product-images-home">
				<?php 
				if(!empty($kybully_vars['product_slider1'])):
					if($kybully_vars['product_slider1']=="latest_products_slider"):
						latest_products_slider();
					elseif($kybully_vars['product_slider1']=="bestseller_products_slider"):
						bestseller_products_slider();
					elseif($kybully_vars['product_slider1']=="sale_products_slider"):
						sale_products_slider();
					elseif($kybully_vars['product_slider1']=="featured_products_slider"):
						featured_products_slider();
					endif;
				else:
					latest_products_slider();
				endif;
				?>
			</div>		
		</div>
			<div class="content row">
				<div class="col-md-3 col-sm-12 product-slider-home">
					<div class="text-uppercase single-product-text">
						<h2><?php if(!empty($kybully_vars['featured_bully_title'])) :echo esc_attr($kybully_vars['featured_bully_title']);endif;?></h2>
						<p><?php if(!empty($kybully_vars['featured_bully_desc'])) :echo esc_attr($kybully_vars['featured_bully_desc']);endif;?></p>
					</div>
				</div>
				<div class="col-md-9 col-sm-12 product-images-home">
					<?php 
					if(!empty($kybully_vars['product_slider1'])):
						if($kybully_vars['product_slider1']=="latest_products_slider"):
							latest_products_slider();
						elseif($kybully_vars['product_slider1']=="bestseller_products_slider"):
							bestseller_products_slider();
						elseif($kybully_vars['product_slider1']=="sale_products_slider"):
							sale_products_slider();
						elseif($kybully_vars['product_slider1']=="featured_products_slider"):
							featured_products_slider();
						endif;
					else:
						latest_products_slider();
					endif;
					?>
				</div>		
			</div>
					
		<!-- content loop end -->
		<!-- video start -->
		<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
		<div class="visible-sm hidden-md hidden-lg  visible-xs row">
			<!-- Mobil  customers testimonial start-->
			<aside class="text-center customers-text">
				<h2 class="text-uppercase customers-title"><?php if(!empty($kybully_vars['testimonials_title'])) :echo esc_attr($kybully_vars['testimonials_title']);endif;?></h2>
				<div class="customers-text-mobil" id="mobil-customers">
					<?php  $query = new WP_Query( array('post_type' => 'mj_testimonial', 'posts_per_page' => 3 ) ); ?>
						 <?php 
						while ( $query->have_posts() ) :
						$query->the_post();
						 
						$mpost = get_post_meta( $post->ID, 'member-post', true ); ?>
					<div class="fix single-customers-text">
							 <?php  the_excerpt(25); ?> 
							<h4><a href="#"><?php  echo the_title(); ?></a><?php   if(!empty($mpost)) :
								echo esc_attr($mpost);
								endif;
								?></h4>
					</div>
					 <?php  endwhile; 
					 wp_reset_postdata(); ?>
					 
				</div>
			</aside>
			<!-- Mobil  customers testimonial start-->
			<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->	
		</div>
		<div style="clear:both"></div>
			<div class="customers-video row">
				<div class="hidden-xs hidden-sm visible-md visible-lg col-md-4 col-xs-12 testimonial-left">
					<aside class="text-left customers-text">
						<h2 class="text-uppercase customers-title"><?php if(!empty($kybully_vars['testimonials_title'])) :echo esc_attr($kybully_vars['testimonials_title']);endif;?></h2>
						<?php  $query = new WP_Query( array('post_type' => 'mj_testimonial', 'posts_per_page' => 3 ) ); 
						while ( $query->have_posts() ) :
						$query->the_post();
						$mpost = get_post_meta( $post->ID, 'member-post', true );?>
						<div class="fix single-customers-text">
							 <?php  the_excerpt(25); ?> 
							<h4><a href="#"><?php  echo esc_attr(the_title()); ?></a>
								<?php   if(!empty($mpost)) :
									echo esc_attr($mpost);
								endif;
								?>
							</h4>
						</div>
						 <?php endwhile;
						 wp_reset_postdata(); ?>
					</aside>
				</div>
				<div class="col-md-8 col-xs-12 video-right">
					<div class="fix video-embed">
						<div class="fix text-uppercase video-title">
							<h2 class="float_left"><?php if(!empty($kybully_vars['video_title'])) :echo esc_attr($kybully_vars['video_title']);endif;?></h2>
							<h4 class="float_right hidden-xs"><?php if(!empty($kybully_vars['more_video_title'])) :echo esc_attr($kybully_vars['more_video_title']);endif;?></h4>
						</div>
						<div class="fix embed-responsive embed-responsive-16by9 main-video">
							<iframe class="embed-responsive-item" src="<?php if(!empty($kybully_vars['video_link'])) :echo esc_attr($kybully_vars['video_link']);endif;?>"></iframe>
						</div>
						<div class="video-pra">
							<p><?php if(!empty($kybully_vars['video_desc'])) :echo esc_attr($kybully_vars['video_desc']);endif;?></p>
						</div>
					</div>
				</div>
			</div>
	</div>
 
		<!-- main content area end -->

 </section>

<?php get_footer(); ?>