<?php
$widgetareas_list = array ();
$widgetareas_list = array (
		'sidebar-1' => 'Main Widget Area',
		'sidebar-2' => 'Secondary Widget Area',
		'sidebar-3' => 'Woocommerce Widget Area',
		'sidebar-4' => 'Navigation Widget Area' 
);
global $widgetareas_list;
// Add theme option panel
get_template_part('admin/index');

global $kybully_vars;
$kybully_vars = $smof_data;

/**
 * Add option import theme sample data by click.
 */
$importer = get_template_directory() . '/admin/importer/importer.php';
include $importer;

/**
 * Add theme option for theme.
 */
if ( is_admin() ) {
	get_template_part('inc/framework/menu-images/nav-menu-images' );
}

/**
 * highlight of plugin activation or installation.
 */
get_template_part('inc/plugin_activetion_class');


/**
 * Enqueue scripts and styles for the front end.
 *
 * @since KYBULLY 1.0
 */
function kybully_scripts() {
	global $kybully_vars;
	// Add Source Sans Pro and Bitter fonts, used in the main stylesheet.
	wp_enqueue_style ( 'kybully-fonts', kybully_fonts_url (), array (), null );	
	// Loads our main stylesheet.
	wp_enqueue_style ( 'kybully-style', get_stylesheet_uri (), array (), '1.0' );
	
	// Loads the Internet Explorer specific stylesheet.
	wp_enqueue_style ( 'kybully-ie', get_template_directory_uri () . '/css/ie.css', array (), '1.0', 'all' );
	wp_style_add_data ( 'kybully-ie', 'conditional', 'lt IE 9' );
	
	/*
	 * KYBULLY css
	 */
	// responsive css
	wp_enqueue_style ( 'responsive', get_template_directory_uri () . '/css/responsive.css', array (), '1.0' );
	wp_enqueue_style ( 'stye-responsive', get_template_directory_uri () . '/css/style-responsive.css', array (), '1.0' );
	wp_enqueue_style ( 'bootstrap-min', get_template_directory_uri () . '/css/bootstrap.min.css', array ('kybully-style'), '3.3.5', 'all');
	wp_enqueue_style ( 'bootstrap-select', get_template_directory_uri () . '/css/bootstrap-select.css', array ('kybully-style'), '3.3.5', 'all');
	wp_enqueue_style ( 'font-awesome-min', get_template_directory_uri () . '/css/font-awesome.min.css', array (), '1.0' );
	wp_enqueue_style ( 'woocommerce', get_template_directory_uri () . '/css/woocommerce.css', array (), '1.0' );
	wp_enqueue_style ( 'owl.carousel', get_template_directory_uri () . '/css/owl.carousel.css', array (), '1.0' );
	wp_enqueue_style ( 'owl.theme', get_template_directory_uri () . '/css/owl.theme.css', array (), '1.0' );
	wp_enqueue_style ( 'owl.transitions', get_template_directory_uri () . '/css/owl.transitions.css', array (), '1.0' );
	// progressbar
	wp_enqueue_style ( 'progress', get_template_directory_uri () . '/js/progressbar/ui.progress-bar.css', array (), '1.0' );	
	get_template_part('css/custom-css');	
	if (isset ($kybully_vars ['rtl']) && $kybully_vars ['rtl'] == '1') {
			wp_enqueue_style ( 'rtl', get_template_directory_uri () . '/css/rtl.css', array (), '1.0' );
			wp_enqueue_style ( 'rtl-responsive', get_template_directory_uri () . '/css/rtl-responsive.css', array (), '1.0' );
	}
	/*
	 * Adds JavaScript to pages with the comment form to support
	 * sites with threaded comments (when in use).
	 */
	if (is_singular () && comments_open () && get_option ( 'thread_comments' ))
		wp_enqueue_script ( 'comment-reply' );
		
	/*
	* KYBULLY js
	*/
	
	wp_enqueue_script ( 'AnimatedHeader', get_template_directory_uri () . '/js/AnimatedHeader.js', array ('jquery'), '1.0', true );
	wp_enqueue_script ( 'bootstrap-min', get_template_directory_uri () . '/js/bootstrap.min.js', array ('jquery'), '1.0', true );
	wp_enqueue_script ( 'bootstrap-select', get_template_directory_uri () . '/js/bootstrap-select.js', array ('jquery'), '1.0', true );
	wp_enqueue_script ( 'owl.carousel.min', get_template_directory_uri () . '/js/owl.carousel.min.js', array ('jquery'), '1.0', true );
	wp_enqueue_script ( 'mobil-caurosel', get_template_directory_uri () . '/js/mobil-caurosel.js', array ('jquery'), '1.0', true );

	wp_enqueue_script ( 'jquery.cookie.min', get_template_directory_uri () . '/js/jquery.cookie.min.js', array ('jquery'), '2014-06-08', true );
	wp_enqueue_script ( 'script', get_template_directory_uri () . '/js/script.js', array ('jquery'), '1.0', true );
	wp_enqueue_script ( 'jquery.elevatezoom.min', get_template_directory_uri () . '/js/zoom/jquery.elevatezoom.min.js', array ('jquery'), '1.0', true );
	// progressbar
	wp_enqueue_script ( 'progress-js', get_template_directory_uri () . '/js/progressbar/progress.js', array ('jquery'), '1.0', true );	
	wp_enqueue_script ( 'progress-js', get_template_directory_uri () . '/js/progressbar/progress.js', array ('jquery'), '1.0', true );	
}
add_action ( 'wp_enqueue_scripts', 'kybully_scripts' );


/**
 * Enqueue Javascript postMessage handlers for the Customizer.
 *
 * Binds JavaScript handlers to make the Customizer preview
 * reload changes asynchronously.
 *
 * @since KYBULLY 1.0
 */

// breadcrum function start here.

if (! function_exists ( 'the_breadcrumb' )) :
	/**
	 * ******** breadcrumbs **************
	 */
	function the_breadcrumb() {
		global $post;
		
		echo '<ul class="breadcrumb">';
		echo '<li><a href="' . home_url ( '/' ) . '">' . __ ( 'Home', 'kybully' ) . '</a></li><li class="separator"> > </li>';
		
		if (is_home ()) {
			echo '<li>' . __ ( 'Blog', 'kybully' ) . '</li>';
		} elseif (is_category ()) {
			echo '<li>';
			$category = get_cat_id ( single_cat_title ( "", false ) );
			$sep = '</li><li class="separator"> > </li><li>';
			$len = '-' . (strlen ( $sep ) - 5);
			echo substr ( get_category_parents ( $category, true, $sep ), 0, ( int ) $len );
		} elseif (is_single ()) {
			$category = get_the_category ();
			$sep = '</li><li class="separator"> > </li><li>';
			$post_type = get_post_type ();
			if ($category) {
				echo '<li>' . get_category_parents ( $category [0]->cat_ID, true, $sep );
				echo '</li>';
			} elseif ($post_type == 'portfolio') {
				echo '<li>';
				echo '<a href="' . get_post_type_archive_link ( 'portfolio' ) . '">' . __ ( 'Portfolio', 'kybully' ) . '</a>';
				echo '</li><li class="separator"> > </li>';
			}
			echo '<li>';
			the_title ();
			echo '</li>';
		} elseif (is_page () && ! is_front_page ()) {
			if ($post->post_parent) {
				$anc = get_post_ancestors ( $post->ID );
				foreach ( $anc as $ancestor ) {
					$output [] = '<li><a href="' . get_permalink ( $ancestor ) . '" title="' . get_the_title ( $ancestor ) . '">' . get_the_title ( $ancestor ) . '</a></li>';
				}
				echo implode ( '<li class="separator"> > </li>', $output );
				echo '<li class="separator"> > </li>';
				echo '<li> ';
				echo the_title ();
				echo '</li>';
			} else {
				echo '<li> ';
				echo the_title ();
				echo '</li>';
			}
		} elseif (is_tag ()) {
			echo "<li>";
			printf ( __ ( 'Tag Archives: %s', 'kybully' ), single_tag_title ( '', false ) );
			echo "</li>";
		} elseif (is_day ()) {
			echo "<li>";
			printf ( __ ( 'Daily Archives: %s', 'kybully' ), get_the_date () );
			echo "</li>";
		} elseif (is_month ()) {
			echo "<li>";
			printf ( __ ( 'Monthly Archives: %s', 'kybully' ), get_the_date ( _x ( 'F Y', 'monthly archives date format', 'kybully' ) ) );
			echo "</li>";
		} elseif (is_year ()) {
			echo "<li>";
			printf ( __ ( 'Yearly Archives: %s', 'kybully' ), get_the_date ( _x ( 'Y', 'yearly archives date format', 'kybully' ) ) );
			echo "</li>";
		} elseif (is_author ()) {
			echo "<li>";
			printf ( __ ( 'All posts by %s', 'kybully' ), '<a href="' . esc_url ( get_author_posts_url ( get_the_author_meta ( 'ID' ) ) ) . '" title="' . esc_attr ( get_the_author () ) . '">' . get_the_author () . '</a>' );
			echo "</li>";
		} elseif (isset ( $_GET ['paged'] ) && ! empty ( $_GET ['paged'] )) {
			echo "<li>Blog Archives</li>";
		} elseif (is_search ()) {
			echo "<li>" . __ ( 'Search Results for: ', 'kybully' ) . "\"" . get_search_query () . "\"</li>";
		} elseif (is_archive ()) {
			$post_type = get_post_type ();
			if ($post_type == 'portfolio') {
				echo "<li>" . __ ( 'Portfolio', 'kybully' ) . "</li>";
			}
		} else {
			echo '<li></li>';
		}
		
		echo '</ul>';
	}


endif;

// Numbered Pagination
if (! function_exists ( 'wpex_pagination' )) {
	function wpex_pagination() {
		$prev_arrow = is_rtl () ? '<' : '<';
		$next_arrow = is_rtl () ? '<' : '>';
		
		global $wp_query;
		$total = $wp_query->max_num_pages;
		$big = 999999999; // need an unlikely integer
		if ($total > 1) {
			if (! $current_page = get_query_var ( 'paged' ))
				$current_page = 1;
			if (get_option ( 'permalink_structure' )) {
				$format = 'page/%#%/';
			} else {
				$format = '&paged=%#%';
			}
			echo paginate_links ( array (
					'base' => str_replace ( $big, '%#%', esc_url ( get_pagenum_link ( $big ) ) ),
					'format' => $format,
					'current' => max ( 1, get_query_var ( 'paged' ) ),
					'total' => $total,
					'mid_size' => 3,
					'type' => 'list',
					'prev_text' => $prev_arrow,
					'next_text' => $next_arrow 
			) );
		}
	}
	wp_reset_postdata();
}

add_theme_support ( 'woocommerce' );

/* inject cpt archives meta box */
add_action ( 'admin_head-nav-menus.php', 'inject_cpt_archives_menu_meta_box' );
function inject_cpt_archives_menu_meta_box($object) {
	add_meta_box ( 'add-cpt', __ ( 'Archives', 'kybully' ), 'wp_nav_menu_cpt_archives_meta_box', 'nav-menus', 'side', 'default' );
	return $object;
}

/* render custom post type archives meta box */
function wp_nav_menu_cpt_archives_meta_box() {
	/* get custom post types with archive support */
	$post_types = get_post_types ( array (
			'show_in_nav_menus' => true,
			'has_archive' => true 
	), 'object' );
	
	/* hydrate the necessary object properties for the walker */
	foreach ( $post_types as &$post_type ) {
		
		$post_type->classes = array ();
		$post_type->type = $post_type->name;
		$post_type->object_id = 1;
		$post_type->title = $post_type->labels->name;
		$post_type->object = 'cpt-archive';
		
		$post_type->menu_item_parent = null;
		$post_type->url = null;
		$post_type->xfn = null;
		$post_type->db_id = null;
		$post_type->target = null;
		$post_type->attr_title = null;
	}
	
	$walker = new Walker_Nav_Menu_Checklist ( array () );
	?>
<div id="cpt-archive" class="posttypediv">
	<div id="tabs-panel-cpt-archive" class="tabs-panel tabs-panel-active">
		<ul id="ctp-archive-checklist" class="categorychecklist form-no-clear">
				<?php
	echo walk_nav_menu_tree ( array_map ( 'wp_setup_nav_menu_item', $post_types ), 0, ( object ) array (
			'walker' => $walker 
	) );
	?>
			</ul>
	</div>
	<!-- /.tabs-panel -->
</div>
<p class="button-controls">
	<span class="add-to-menu"> <input type="submit"
		class="button-secondary submit-add-to-menu right"
		value="<?php esc_attr_e('Add to Menu','kybully'); ?>"
		name="add-ctp-archive-menu-item" id="submit-cpt-archive" /> <span
		class="spinner"></span>
	</span>
</p>
<?php
}

add_filter ( 'wp_get_nav_menu_items', 'cpt_archive_menu_filter', 10, 3 );
function cpt_archive_menu_filter($items, $menu, $args) {
	
	/* alter the URL for cpt-archive objects */
	foreach ( $items as &$item ) {
		if ($item->object != 'cpt-archive')
			continue;
			
			/* we stored the post type in the type property of the menu item */
		$item->url = get_post_type_archive_link ( $item->type );
		
		if (get_query_var ( 'post_type' ) == $item->type) {
			$item->classes [] = 'current-menu-item';
			$item->current = true;
		}
	}
	
	return $items;
}

// **********************************************************************//
// ! Custom navigation
// **********************************************************************//
class mj_Walker_Navigation extends Walker_Nav_Menu {
	public $styles = '';
	function start_lvl(&$output, $depth = 0, $args = array()) {
		$display_depth = ($depth + 1);
		$indent = str_repeat ( "\t", $depth );
		if( $depth === 0 && $this->menu_item_classes == "megamenu" ) {
			if ($display_depth == '1') {
				$class_names = 'megamenu-childlist';
				//$container = 'megamenu-area';
			} else {
				$class_names = 'megamenu-subchildlist';
				$container = '';
			}
			
			//$output .= "\n$indent<div class=" . $class_names . "><div class='" . $container . "'><ul class=\"sub-menu\">\n";
			$output .= "\n$indent<div class=" . $class_names . "><ul class=\"sub-menu\">\n";
		}else{
			$output .= "\n$indent<ul class=\"sub-menu\">\n";
		}
	}
	function end_lvl(&$output, $depth = 1, $args = array()) {
		$indent = str_repeat ( "\t", $depth );
		if( $depth === 0 && $this->menu_item_classes == "megamenu" ) {
			//$output .= "$indent</ul></div></div>\n";
			$output .= "$indent</ul></div>\n";
		}else {
			$output .= "$indent</ul>\n";
		}
	}
	function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
		global $wp_query;
		$indent = ($depth) ? str_repeat ( "\t", $depth ) : '';
		
		$item_id = $item->ID;
		
		$class_names = $value = '';
		
		$anchor = get_post_meta ( $item_id, '_menu-item-anchor', true );
		$this->menu_item_classes = $item->classes[0];
		
		if (! empty ( $anchor )) {
			$item->url = $item->url . '#' . $anchor;
			if (($key = array_search ( 'current_page_item', $item->classes )) !== false) {
				unset ( $item->classes [$key] );
			}
			if (($key = array_search ( 'current-menu-item', $item->classes )) !== false) {
				unset ( $item->classes [$key] );
			}
		}
		
		$classes = empty ( $item->classes ) ? array () : ( array ) $item->classes;
		$classes [] = 'menu-item-' . $item->ID;
		$classes [] = 'item-level-' . $depth;
		
		$class_names = join ( ' ', apply_filters ( 'megamenu_css_class', array_filter ( $classes ), $item, $args ) );
		$class_names = ' class="' . esc_attr ( $class_names ) . '"';
		
		$id = apply_filters ( 'megamenu_item_id', 'menu-item-' . $item->ID, $item, $args );
		$id = strlen ( $id ) ? ' id="' . esc_attr ( $id ) . '"' : '';
		
		$output .= $indent . '<li' . $id . $value . $class_names . '>';
		
		$attributes = ! empty ( $item->attr_title ) ? ' title="' . esc_attr ( $item->attr_title ) . '"' : '';
		$attributes .= ! empty ( $item->target ) ? ' target="' . esc_attr ( $item->target ) . '"' : '';
		$attributes .= ! empty ( $item->xfn ) ? ' rel="' . esc_attr ( $item->xfn ) . '"' : '';
		$attributes .= ! empty ( $item->url ) ? ' href="' . esc_attr ( $item->url ) . '"' : '';
		
		$description = do_shortcode ( $item->description );
		$tooltip = '';
		
		if (has_post_thumbnail ( $item_id )) {
			if ($depth < 1) {
				$this->mj_enque_styles ( $item_id );
			} else {
				$tooltip = $this->mj_get_tooltip_html ( $item_id );
			}
		}
		
		$item_output = $args->before;
		$item_output .= '<a' . $attributes . '>';
		$item_output .= $args->link_before . apply_filters ( 'the_title', $item->title, $item->ID ) . $args->link_after;
		$item_output .= $description;
		$item_output .= $tooltip;
		$item_output .= '</a>';
		$item_output .= $args->after;
		
		$output .= apply_filters ( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
	}
	function mj_enque_styles($item_id) {
		$post_thumbnail = get_post_thumbnail_id ( $item_id, 'thumb' );
		$post_thumbnail_url = wp_get_attachment_url ( $post_thumbnail );
		$bg_position = get_post_meta ( $item_id, '_menu-item-background_position', true );
		$bg_repeat = get_post_meta ( $item_id, '_menu-item-background_repeat', true );
		$bg_pos = $bg_rep = '';
		if ($bg_position != '') {
			$bg_pos = "background-position: " . $bg_position . ";";
		}
		if ($bg_repeat != '') {
			$bg_rep = "background-repeat: " . $bg_repeat . ";";
		}
		$this->styles .= ".menu-item-" . $item_id . " .megamenu-childlist {" . $bg_pos . $bg_rep . " background-image: url(" . $post_thumbnail_url . "); }";
	}
	function mj_get_tooltip_html($item_id) {
		$output = '';
		$post_thumbnail = get_post_thumbnail_id ( $item_id, 'thumb' );
		$post_thumbnail_url = wp_get_attachment_url ( $post_thumbnail );
		$output .= '<div class="nav-item-tooltip">';
		$output .= '<div data-src="' . $post_thumbnail_url . '"></div>';
		$output .= '</div>';
		return $output;
	}
	function __destruct() {
		$styles = $this->styles;
		add_action ( 'after_page_wrapper', function () use($styles) {
			echo '<style scoped> ' . $styles . ' </style>';
		} );
	}
}

/*
 * Theme SEO
 */
function kybully_meta() {
	global $kybully_vars, $post;
	if (is_home () || is_front_page ()) {
		?>

<?php if(!empty($kybully_vars['meta_desc'])) : ?>	
	<meta name="description" content="<?php echo str_replace('"',"'",$kybully_vars['meta_desc']); ?>" />
<?php endif;?>

<?php if(!empty($kybully_vars['meta_keyword'])) : ?>	
	<meta name="keywords" content="<?php echo str_replace('"',"'",$kybully_vars['meta_keyword']); ?>" />
<?php endif;?>
<meta property="og:image" content="<?php echo get_template_directory_uri()?> /images/none.png" />
<meta property="og:type" content="website" />
<meta property="og:url" content="<?php echo get_site_url() ?>" />
<?php }elseif(is_singular()){?>
<meta property="og:title" content="<?php echo get_the_title() ?>" />
<?php }else{ ?>

<?php if(!empty($kybully_vars['other_meta_desc'])) : ?>	
<meta name="description"
	content="<?php echo str_replace('"',"'",$kybully_vars['other_meta_desc']); ?>" />
<?php endif;?>
	
<?php if(!empty($kybully_vars['other_meta_keyword'])) : ?>	
	<meta name="keywords" content="<?php echo str_replace('"',"'",$kybully_vars['other_meta_keyword']); ?>" />
<?php endif;?>
<?php
	}
	
	if (function_exists ( 'is_shop' ) && is_shop ()) { // woocommerce ?>
	<meta property="og:type" content="product" />
<?php
	} else {
		?>
<meta property="og:type" content="article" />


<?php
	}
	if(isset($kybully_vars['featured_img'])){ 
	if ( isset($kybully_vars ['graph_meta']) && $kybully_vars ['graph_meta'] == 1 && (is_page () || is_single ())) {
		?>
<meta property="og:url" content="<?php echo the_permalink(); ?>" />
<meta property="og:title" content="<?php echo get_the_title(); ?>" />
<?php
	}
	}
	
}

// Display products per page.
$ppage = 10;
if (isset ( $kybully_vars ['product_per_page'] )) {
	$ppage = $kybully_vars ["product_per_page"];
}
$product_per_page = 'return ' . $ppage . ';';
add_filter ( 'loop_shop_per_page', create_function ( '$cols', $product_per_page ), 20 );

/* 
* Woocommerce hook
*/

// Ensure cart contents update when products are added to the cart via AJAX
function header_add_to_cart_fragments( $fragments ) {
	global $woocommerce;
	$cart_url = $woocommerce->cart->get_cart_url();
	ob_start();?>
	<div class="header-min-cart">
		<a href="<?php echo esc_url($cart_url);?>"  class="fix text-center cart">
			<h4><img src="<?php echo esc_url(get_template_directory_uri() .'/images/cart-icon.png');?>" alt="" /><span id="counter"><?php echo WC()->cart->cart_contents_count; ?></span></h4>
		</a>
		<div class="min-cart">
			<?php woocommerce_mini_cart(); ?>
		</div>
	</div>
	<?php
	$fragments['div.header-min-cart'] = ob_get_clean();
	return $fragments;
}
add_filter('add_to_cart_fragments', 'header_add_to_cart_fragments');

function header_cart_total_fragments( $fragments ) {
	global $woocommerce;
	$cart_url = $woocommerce->cart->get_cart_url();
	ob_start();?>
	<li class="header-cart-total"><a href="<?php echo esc_url($cart_url);?>"><?php _e('Total','kybully');?>: <span><?php echo WC()->cart->get_cart_total(); ?></span></a></li>
	<?php
	$fragments['ul li.header-cart-total'] = ob_get_clean();
	return $fragments;
}
add_filter('add_to_cart_fragments', 'header_cart_total_fragments');

//create shortcode of product slider
get_template_part('inc/framework/product_sliders');

// disable css of woocommerce plugin
add_filter( 'woocommerce_enqueue_styles', '__return_false' );
add_theme_support ( 'woocommerce' );

//Change tab hook
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_product_data_tabs', 10);
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5);
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10);
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10);
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20);

 
add_action( 'woocommerce_single_product_summary', 'woocommerce_output_product_data_tabs', 2 );
add_action( 'woocommerce_before_single_product_summary', 'woocommerce_template_single_excerpt', 5 );
add_action( 'woocommerce_before_single_product_summary', 'woocommerce_template_single_rating', 8);
add_action( 'woocommerce_before_single_product_summary', 'woocommerce_template_single_price', 8);