<?php
// [bestseller_products_slider]
function bestseller_products_slider() {
	global $kybully_vars;
	if(isset($kybully_vars['product_per_slider'])):
		$product_per_slider=$kybully_vars['product_per_slider'];
	else:
		$product_per_slider=10;
	endif;
	ob_start();
	
	if (class_exists('Woocommerce')) {
		$args = array(
			'post_type' => 'product',
			'post_status' => 'publish',
			'ignore_sticky_posts' => 1,
			'posts_per_page' => $product_per_slider,
			'meta_key' => 'total_sales',
			'orderby' => 'meta_value'
		);

		$products = new WP_Query( $args );
		?>
		<?php if ( $products->have_posts() ) { ?>
			
			<div class="text-uppercase content-carousel">
			<?php
				while ( $products->have_posts() ) {
					$products->the_post();
					woocommerce_get_template_part( 'content', 'product' );
				}
			?>
			</div>
			
		<?php } ?>
		<?php
		wp_reset_postdata();
	}

	$content = ob_get_contents();
	ob_end_clean();
	return $content;
}

// [latest_products_slider]
function latest_products_slider() {
	global $kybully_vars;
	if(isset($kybully_vars['product_per_slider'])):
		$product_per_slider=$kybully_vars['product_per_slider'];
	else:
		$product_per_slider=10;
	endif;
	
	if (class_exists('Woocommerce')) {

		$args = array(
			'post_type' => 'product',
			'post_status' => 'publish',
			'ignore_sticky_posts'   => 1,
			'posts_per_page' => $product_per_slider,
		);

		$products = new WP_Query( $args );
		?>
		<?php if ( $products->have_posts() ) {?>
		
			<div class="text-uppercase content-carousel">
				<?php
				while ( $products->have_posts() ) {
					$products->the_post();
					woocommerce_get_template_part( 'content', 'product' );
				}
			?>
			</div>
			
		<?php } ?>
		<?php
		wp_reset_postdata();
	}
}

// [sale_products_slider]
function sale_products_slider() {
	global $kybully_vars;
	if(isset($kybully_vars['product_per_slider'])):
		$product_per_slider=$kybully_vars['product_per_slider'];
	else:
		$product_per_slider=10;
	endif;
	
	if (class_exists('Woocommerce')) {

		$args = array(
		    'post_type' => 'product',
			'post_status' => 'publish',
			'ignore_sticky_posts'   => 1,
			'posts_per_page' => $product_per_slider,
			'orderby' => 'date',
			'order' => 'desc',
			'meta_query' => array(
				array(
					'key' => '_visibility',
					'value' => array('catalog', 'visible'),
					'compare' => 'IN'
				),
				array(
					'key' => '_sale_price',
					'value' =>  0,
					'compare'   => '>',
					'type'      => 'NUMERIC'
				)
			)
		);

		$products = new WP_Query( $args );
		?>
		<?php if ( $products->have_posts() ) {?>
		
			<div class="text-uppercase content-carousel">
				<?php
				while ( $products->have_posts() ) {
					$products->the_post();
					woocommerce_get_template_part( 'content', 'product' );
				}
			?>
			</div>
			
		<?php } ?>
	<?php
		wp_reset_postdata();
	}
}

// [featured_products_slider]
function featured_products_slider() {
	global $kybully_vars;
	if(isset($kybully_vars['product_per_slider'])):
		$product_per_slider=$kybully_vars['product_per_slider'];
	else:
		$product_per_slider=10;
	endif;
	if (class_exists('Woocommerce')) {


		$args = array(
			'post_status' => 'publish',
			'post_type' => 'product',
			'ignore_sticky_posts'   => 1,
			'meta_key' => '_featured',
			'meta_value' => 'yes',
			'posts_per_page' => $product_per_slider,
			'orderby' => 'date',
			'order' => 'desc',
		);

		$products = new WP_Query( $args );
		?>
		<?php if ( $products->have_posts() ) {?>
		
			<div class="text-uppercase content-carousel">
				<?php
				while ( $products->have_posts() ) {
					$products->the_post();
					woocommerce_get_template_part( 'content', 'product' );
				}
			?>
			</div>
			
		<?php } ?>
	<?php
		wp_reset_postdata();
	}

}

