<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that other
 * 'pages' on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage KYBULLY
 * @since KYBULLY 1.0
 */

get_header ();
?>
 
<?php

$sidebar_position = get_post_meta ( $post->ID, 'sidebar_position' );
$left_sidebar = get_post_meta ( $post->ID, 'left_sidebar' );
if(!isset($sidebar_position [0]))
{
	$sidebar_position [0]='right';
}
if ($sidebar_position [0] == 'both') {
	switch ($left_sidebar [0]) {
		case 'Secondary Widget Area' :
			$sidebar = 'sidebar-2';
			break;
		case 'Woocommerce Widget Area' :
			$sidebar = 'sidebar-3';
			break;
		case 'Navigation Widget Area' :
			$sidebar = 'sidebar-4';
			break;
		default :
			$sidebar = 'sidebar-1';
	}
	$class_content = "col-md-6 col-sm-12 both";
	$class = "col-md-3 col-sm-12 left";
} elseif ($sidebar_position [0] == 'left') {
	$class_content = "col-md-9 col-sm-12 only-left";
} elseif ($sidebar_position [0] == 'full') {
	$class_content = "col-md-12 col-sm-12";
}else {
	$class_content = "col-md-9 col-sm-12";
} 
?>
<section id="kybully" class="main-content">
	<div class="container">
		<div class="row">
			<div id="content-area" class="<?php echo esc_attr($class_content); ?>">
			<?php /* The loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<header class="entry-header">
						<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
						<div class="entry-thumbnail">
							<?php the_post_thumbnail(); ?>
						</div>
						<?php endif; ?>
					</header>
					<!-- .entry-header -->

					<div class="entry-content">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'kybully' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
					</div>
					<!-- .entry-content -->
          
			<?php if(!is_page('About Us') and !is_page('Service') and !is_page('Full Width')) { ?>
			<footer class="entry-meta">
				<?php edit_post_link( __( 'Edit', 'kybully' ), '<span class="edit-link">', '</span>' ); ?>
			</footer>
					<!-- .entry-meta -->
			<?php } ?>
			</article>
				<!-- #post -->
        
			<?php comments_template(); ?>
			<?php endwhile; ?>
			</div>
     <?php
			if ($sidebar_position [0] != 'full') {
				if ($sidebar_position [0] == 'both') {
					if (is_active_sidebar ( $sidebar )) {?>
						<div class="sidebar-container <?php echo esc_attr($class);?>"	role="complementary">
							<div class="sidebar-inner">
								<div class="widget-area">
									<?php dynamic_sidebar( $sidebar ); ?>
								</div>
								<!-- .widget-area -->
							</div>
							<!-- .sidebar-inner -->
						</div>
						<!-- #tertiary -->
					<?php
					}
				}
			get_sidebar ();
		}
	?>
		</div>
	</div>
</section>
<?php get_footer(); ?>
