<?php
/**
 * The sidebar containing the secondary widget area
 *
 * Displays on posts and pages.
 *
 * If no active widgets are in this sidebar, hide it completely.
 *
 * @package WordPress
 * @subpackage KYBULLY
 * @since KYBULLY 1.0
 */

if(class_exists( 'WooCommerce' ) && is_shop()):
	$postid=get_option( 'woocommerce_shop_page_id' ); 
else:
	$postid=$post->ID;
endif;

$sidebar_position = get_post_meta ( $postid, 'sidebar_position' );
$left_sidebar = get_post_meta ( $postid, 'left_sidebar' );
$right_sidebar = get_post_meta ( $postid, 'right_sidebar' );
if(empty($sidebar_position)){
	$sidebar_position [0] = 'right';}
	
if(empty($left_sidebar)){
	$sidebar []='Main Widget Area';}
	
if(empty($right_sidebar)){
	$sidebar []='Main Widget Area';}
	
if (! $sidebar_position) {
	$sidebar_pos = 'right';
	$sidebar [] = 'sidebar-1';
	$class = "col-md-3 col-sm-12 col-x";
} elseif ($sidebar_position [0] == 'left') {
	$sidebar_pos = 'left only';
	$sidebar = $left_sidebar;
	$class = "col-md-3 col-sm-12";
} elseif ($sidebar_position [0] == 'both') {
	$sidebar = $right_sidebar;
	$class = "col-md-3 col-sm-12  right";
} else {
	$sidebar_pos = 'right';
	$sidebar[] = $right_sidebar;
	$class = "col-md-3 col-sm-12 col-xs-12 ";
}
switch ($sidebar [0]) {
	case 'Secondary Widget Area' :
		$sidebar = 'sidebar-2';
		break;
	case 'Woocommerce Widget Area' :
		$sidebar = 'sidebar-3';
		break;
	case 'Navigation Widget Area' :
		$sidebar = 'sidebar-4';
		break;
	default :
		$sidebar = 'sidebar-1';
}
if (is_active_sidebar ( $sidebar )) :
	?>
<div class="sidebar-container <?php echo esc_attr($class).' '.$sidebar_pos; ?>"
	role="complementary">
	<div class="sidebar-inner">
		<div class="widget-area">
				<?php dynamic_sidebar($sidebar); ?>
		</div>
		<!-- .widget-area -->
	</div>
	<!-- .sidebar-inner -->
</div>
<!-- #tertiary -->

<?php endif; ?>
