<?php
/**
 * The template for displaying Post Format pages
 *
 * Used to display archive-type pages for posts with a post format.
 * If you'd like to further customize these Post Format views, you may create a
 * new template file for each specific one.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage KYBULLY
 * @since KYBULLY 1.0
 */
get_header ();
?>
 
<section id="kybully" class="main-content">
<div class="container">
	<div class="row">

		<div id="content-area" class="col-md-9 col-sm-12"> 

		<?php if ( have_posts() ) : ?>
			<header class="archive-header">
				<h1 class="archive-title"><?php printf( __( '%s Archives', 'kybully' ), '<span>' . get_post_format_string( get_post_format() ) . '</span>' ); ?></h1>
			</header>
			<!-- .archive-header -->

			<?php /* The loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'content', get_post_format() ); ?>
			<?php endwhile; ?>

			<?php wpex_pagination(); ?>

		<?php else : ?>
			<?php get_template_part( 'content', 'none' ); ?>
		<?php endif; ?>

		</div>
		<div class="sidebar-container col-md-3 col-sm-12 right"
			role="complementary">       
          <?php get_sidebar(); ?>
    </div>


	</div>
</div>
</section>
<?php get_footer(); ?>