<?php
/**
 * Checkout Form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

wc_print_notices();

do_action( 'woocommerce_before_checkout_form', $checkout );

// If checkout registration is disabled and not logged in, the user cannot checkout
if ( ! $checkout->enable_signup && ! $checkout->enable_guest_checkout && ! is_user_logged_in() ) {
	echo apply_filters( 'woocommerce_checkout_must_be_logged_in_message', __( 'You must be logged in to checkout.', 'kybully' ) );
	return;
}

// filter hook for include new pages inside the payment method
$get_checkout_url = apply_filters( 'woocommerce_get_checkout_url', WC()->cart->get_checkout_url() ); ?>

<form name="checkout" method="post" class="checkout woocommerce-checkout" action="<?php echo esc_url( $get_checkout_url ); ?>" enctype="multipart/form-data">

	<?php if ( sizeof( $checkout->checkout_fields ) > 0 ) : ?>

		<?php do_action( 'woocommerce_checkout_before_customer_details' ); ?>

	
	<div class="detail-content accordion-content">	
			<div class="acordion-col ">
				<div class="accordion-theme theme_acordion">
					<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
	
	<div class="col2-set" id="customer_details">
		
		
		
						<div class="panel">
							<div class="panel-heading theme_swice_text" role="tab" id="headingOne">
								<a class="fix collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
									<h4>Billing</h4>  
									<span><i class="fa fa-minus"></i></span>
								</a>
							</div>
		
							<div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
								<div class="panel-body">
					<div class="col-1 col-md-12 ">
						<?php do_action( 'woocommerce_checkout_billing' ); ?>
					</div>
								</div>
							</div>
						</div>
			
			<div class="panel">
							<div class="panel-heading theme_swice_text" role="tab" id="headingTwo">
								<a class="fix  " data-toggle="collapse" data-parent="#accordion" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
									<h4>Ship to a different address?</h4>  
									<span><i class="fa fa-plus"></i></span>
								</a>
							</div>
		 
								
							<div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo">
								<div class="panel-body">
						
					<div class="col-2 col-md-12">
						<?php do_action( 'woocommerce_checkout_shipping' ); ?>
					</div>

								</div>
							</div>
							
						</div>
					
		
	</div>

	
						<div class="panel">
							<div class="panel-heading theme_swice_text" role="tab" id="headingThree">
								<a class="fix  " data-toggle="collapse" data-parent="#accordion" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
									<h4>Your order</h4>  
									<span><i class="fa fa-plus"></i></span>
								</a>
							</div>
		
							<div id="collapseThree" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingThree">
								<div class="panel-body col-md-12">
		<?php do_action( 'woocommerce_checkout_after_customer_details' ); ?>

		<h3 id="order_review_heading"><?php _e( 'Your order', 'kybully' ); ?></h3>

	<?php endif; ?>

	<?php do_action( 'woocommerce_checkout_before_order_review' ); ?>

	<div id="order_review" class="woocommerce-checkout-review-order">
		<?php do_action( 'woocommerce_checkout_order_review' ); ?>
	</div>

	<?php do_action( 'woocommerce_checkout_after_order_review' ); ?>

								</div>
							</div>
						</div>
	
					</div>
				</div>
			</div>
		</div>
</form>

<?php do_action( 'woocommerce_after_checkout_form', $checkout ); ?>
