<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Ensure visibility
if ( ! $product || ! $product->is_visible() ) {
	return;
}

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if(!is_page_template('home-page.php') && !is_product()):
$classes []="col-md-4 col-sm-6";
endif;
$classes []="single-product";
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] ) {
	$classes[] = 'first';
}
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] ) {
	$classes[] = 'last';
}
?>
<div <?php post_class( $classes ); ?>>

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>

	<!--<<a href="<?php the_permalink(); ?>">-->
		<figure class="product-img">
		<?php
			/**
			 * woocommerce_before_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_show_product_loop_sale_flash - 10
			 * @hooked woocommerce_template_loop_product_thumbnail - 10
			 */
			do_action( 'woocommerce_before_shop_loop_item_title' );
		?>
			<div class="product-overlay">
				<div class="more-info">
					<a href="<?php the_permalink(); ?>"><?php _e('More Info','kybully');?></a>
				</div>
				<div class="cart-wishlist">	
					<div class="button_add_to_cart">
					<?php

						/**
						 * woocommerce_after_shop_loop_item hook
						 *
						 * @hooked woocommerce_template_loop_add_to_cart - 10
						 */
						do_action( 'woocommerce_after_shop_loop_item' );
					?>
					</div>
					<?php echo do_shortcode('[yith_wcwl_add_to_wishlist]');?>
				</div>
				<?php echo do_shortcode( '[yith_compare_button]' ) ?>
			</div>
			<div class="product-hover"></div>
		</figure>
		<div class="product-info">
			<a href="<?php the_permalink(); ?>">
				<h4><?php the_title(); ?></h4>
			</a>
			
			<?php
				/**
				 * woocommerce_after_shop_loop_item_title hook
				 *
				 * @hooked woocommerce_template_loop_rating - 5
				 * @hooked woocommerce_template_loop_price - 10
				 */
				do_action( 'woocommerce_after_shop_loop_item_title' );
			?>
			<div class="product-desc">
				<?php echo apply_filters( 'woocommerce_short_description', $post->post_excerpt ) ?>
			</div>
			<div class="product-list-cart">
				<div class="button_add_to_cart">
					<?php do_action( 'woocommerce_after_shop_loop_item' );?>
				</div>
				<?php echo do_shortcode('[yith_wcwl_add_to_wishlist]');?>
				<?php echo do_shortcode( '[yith_compare_button]' ) ?>
			</div>
		</div>
	<!--</a>-->


</div>
