<?php
/**
 * Result Count
 *
 * Shows text: Showing x - x of x results
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $wp_query;

if ( ! woocommerce_products_will_display() )
	return;
?>
<div class="orderby-displaynumber">
	<div class="woocommerce-result-count col-md-3 col-sm-4 col-xs-4">
		<h6>
		<?php
		$paged    = max( 1, $wp_query->get( 'paged' ) );
		$per_page = $wp_query->get( 'posts_per_page' );
		$total    = $wp_query->found_posts;
		$first    = ( $per_page * $paged ) - $per_page + 1;
		$last     = min( $total, $wp_query->get( 'posts_per_page' ) * $paged );

		if ( 1 == $total ) {
			_e( 'Showing the single result', 'kybully' );
		} elseif ( $total <= $per_page || -1 == $per_page ) {
			printf( __( 'Showing all %d results', 'kybully' ), $total );
		} else {
			printf( _x( 'Showing %1$d&ndash;%2$d of %3$d results', '%1$d = first, %2$d = last, %3$d = total', 'kybully' ), $first, $last, $total );
		}
		?>
		</h6>
	</div>
	<div class="list_grid_view col-md-3 col-sm-4 col-xs-4">        
        <div class="view-mode"> 
           <h6>View as:</h6>
           <a href="#" id="grid" class="switcher gridview"><i class="fa fa-th"></i></a>
		   <a href="#" id="list" class="switcher listview"><i class="fa fa-th-list"></i></a>            
		</div>
      
	</div>
