<?php
/**
 * Single Product tabs
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Filter tabs and allow third parties to add their own
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>

	<div class="acordion-col col-md-6">
		<div class="accordion-theme theme_acordion">
			<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="false">
			<?php foreach ( $tabs as $key => $tab ) : ?>
					<div class="panel">
						<div class="panel-heading theme_swice_text" role="tab" id="<?php echo esc_attr( $key ); ?>">
							<a class="fix" data-toggle="collapse" data-parent="#accordion" href="#tab-<?php echo esc_attr( $key ); ?>" aria-expanded="false" aria-controls="<?php echo esc_attr( $key ); ?>">
								<h2><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?></h2>  
								<span><i class="fa fa-plus"></i></span>
							</a>
						</div>
						<div id="tab-<?php echo esc_attr( $key ); ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="<?php echo esc_attr( $key ); ?>">
							<div class="panel-body">
								<?php call_user_func( $tab['callback'], $key, $tab ); ?>
							</div>
						</div>
					</div>
				<?php endforeach; ?>
			</div>
		</div>
	</div>

<?php endif; ?>
